Subject: bug#2975: texinfo-master-menu and emacs.texi

From: Stefan Monnier <[email-masked]>
Date: Wed, 07 Dec 2011 15:43:50 -0500

> Thanks...Now I am yet more confused. I thought I look into
> emacs.texi because I assumed that this info manual has been updated
> continuously in recent years and this updating has been done with
> the editor of my choice which is emacs. So what have people done who
> contributed to the emacs info manual to work around these
> difficulties? Which parts of emacs' texinfo support do what they are
> supposed to do and which parts seem to be malfunctioning?

I'm pretty sure texinfo-master-menu is not used for that, indeed.
I think "update all menus" is the more common helper command.

IIRC it also suffered from problems where it adds data to "Node"s which
should better not be added at all, so makeinfo can auto-fill it for you
(and makeinfo actually complains about what texinfo-master-menu puts
there).

Maybe the better course here is to deprecate it, seeing how noone seems
interested in fixing it (if it can be fixed).

        Stefan